Integrity Servers
cancel
Showing results for 
Search instead for 
Did you mean: 

hpacucli-8.25-5.ia64.rpm

 
SOLVED
Go to solution
Joe_P
Frequent Advisor

hpacucli-8.25-5.ia64.rpm

Hi All,

We have some Rx2620 Integrity servers running Redhat Linux ia64 AS 4.4 with Smart Array 6400 and Smart Array 5300 controllers.

We would like to use 'hpacucli' to check the status of the Physical Disks attached to the controllers.

hpacucli does the job, but it absolutely kills performance for 2 to 3 minutes.

Manual 5992-3868 mentions 'hpacucli-8.25-5.ia64.rpm' solves some performance issues.

I would like to install 'hpacucli-8.25-5.ia64.rpm', but cannot find it anywhere on the HP site.

So my question is, does anyone know where to find hpacucli-8.25-5.ia64.rpm?

Thanks,
Martijn.
6 REPLIES 6
Sameer_Nirmal
Honored Contributor

Re: hpacucli-8.25-5.ia64.rpm

The manual 5992-3868 says the HP ACU-CLI performance issue is only on cell-based systems. The rx2620 server is not cell based server.

Anyway, I would install the latest version v 8.2813 of HP ACU-CLI which is a part of the support pack.

https://h20392.www2.hp.com/portal/swdepot/displayProductInfo.do?productNumber=linsupppack
Joe_P
Frequent Advisor

Re: hpacucli-8.25-5.ia64.rpm

Thanks.

I already tried installing 'hpacucli-8.28-13.0.ia64.rpm'

But I get a dependency error.
"error: Failed dependencies:
libezpci.so.3()(64bit) is needed"

We have this version:
/opt/hp/hpmgmtbase/lib/libezpci.so.2

I was hoping to get lucky with the 8.25


Sameer_Nirmal
Honored Contributor
Solution

Re: hpacucli-8.25-5.ia64.rpm

I think that package was a part of Support pack version 4.50 and on HPIEFPL 2.5 CD.

Unfortunately this version is currently not available on HP BSC website for download.

You may want to use this link

http://h20000.www2.hp.com/bizsupport/TechSupport/SoftwareDescription.jsp?lang=en&cc=us&prodTypeId=0&prodSeriesId=428936&swItem=MTX-c88b5040cae3402984c84a0d59&prodNameId=3288114&swEnvOID=4004&swLang=8&taskId=135&mode=4&idx=2
Joe_P
Frequent Advisor

Re: hpacucli-8.25-5.ia64.rpm

Thanks for the 8.25 link, but we're running Linux on Integrity Itanium, there doesn't seem to be a download available for Itanium.

But I found the 4.50 here:
http://h20000.www2.hp.com/bizsupport/TechSupport/SoftwareIndex.jsp?lang=en&cc=us&prodNameId=441910&prodTypeId=15351&prodSeriesId=447331&swLang=13&taskId=135&swEnvOID=2027#7832

Only when you download it, you get version 4.26 which contains hpacucli-8.0-14.ia64.rpm.
This installs but still gives that huge performance bump when running it.

Might just have to live with that or try with the mgmtbase update and 8.28
Sameer_Nirmal
Honored Contributor

Re: hpacucli-8.25-5.ia64.rpm

I think upgrade to 8.28 is a good idea. With upgrade to 8.28 will help in at least having new issues/bugs fixed version on the system.

I did see that on HP BSC site showing version 4.50 of support pack in the listing but the description says 4.26 and actual file is for version 4.26 with earlier version of hpacucli. That's why I said 4.50 is not available for download on there. You may try to contact your local HP support and request this package. This may provide it for you.

The package on the link provided is architecture independent (noarch) so you can try to install it on ia64 Linux.

I do suspect 8.25-5 will help in the performance issue. I would look for any errors in "messages" while running hpacucli, check for any hardware error(s) on the storage connected to those SAs, check for SA driver and firmware versions etc. Running ADU would help as well to get more insights.
kris rombauts
Honored Contributor

Re: hpacucli-8.25-5.ia64.rpm

Because acucli makes the SmartArray controller perform a complete scan of all it's SCSI busses (2 or 4 depends on ctrl model), it causes this freeze or hick-up in the I/O performance during that time.

So any kind of timeouts during the time acucli is run should be disregarded really.
The same happens with the simmilar utility which was build for Windows on these servers.

just fyi

Kris